0 Replies Latest reply on Mar 2, 2018 8:51 AM by sde

    How to build OFED 4.2.1.2.0 for Centos 7.4 Kernel 4.8.7 or 4.10.17

    sde

      Hi,

       

      Any pointers on how to build OFED 4.2.1.2 for kernel version 4.8.7 or 4.10.17? We tried both but it fails. From docs it seems that OFED 4.2.1.2 supports kernel 4.8.7 and 4.10.

      We followed this document HowTo Install MLNX_OFED Driver to build OFED for 4.8.7 but it failed.

      The 4.8.7 kernel was built using sources from https://cdn.kernel.org/pub/linux/kernel/v4.x/linux-4.8.7.tar.xz

       

      It builds fine with kernel version 3.10.0-693.17.1.el7.x86_64 though.

      Are there any performance implications wrt to NVMEOF protocol when we run OFED with Kernel 3.10?

      Is there a need to move to a higher version of kernel for OFED to run optimally?

       

      Thanks,

      Subhadeep